Shortki forum

Главная категория => ShortBook => Тема начата: shortki от 18 Сентябрь 2012, 19:00:50

Название: Важно: Поддержка старых устройств.
Отправлено: shortki от 18 Сентябрь 2012, 19:00:50
Вынужден сообщить, что Apple убрала поддержку ARMv6 из средств разработки. Это значит, что все новые программы и обновления не смогут запускаться на следующих устройствах:

Apple iPhone (original and 3G),
Apple iPod touch (1st and 2nd Generation).


Примите к сведению, что iTunes будет загружать обновления и замещать старые файлы программ с поддержкой этих устройств на новые без поддержки, однако при синхронизации iTunes не будет переносить программы на эти устройства. Если после этого пользователь удалит программу на устройстве, то он не сможет её установить заново, так как старого файла больше нигде не будет и скачать его будет невозможно.

Также Apple убрала возможность разработки приложений для прошивки ниже iOs 4.3. Если прошивка устройства ниже, то больше нельзя будет обновлять приложения на новые версии. Для устройств, где не представляется возможным поднять версию прошивки выше iOs 4.3, рекомендую сейчас обновить все свои приложения до возможно оптимального состояния, пока разработчики не выложили версию для iOs 6 и iPhone 5. Примите к сведению, что разработать приложение которое исполнялось бы и на iPhone 5 в полный экран и на iPhone 3G невозможно — ясно какой выбор вынуждены сделать разработчики.

Многочисленные жалобы на подобное положение вещей не возымели действия — такова политика компании Apple.
 
Название: Re: Важно: Поддержка старых устройств.
Отправлено: HiPanov от 25 Октябрь 2012, 12:05:10
  Уважаемый Юрий!
  Всем своим знакомым советовал покупать Вашу читалку, даже после появления бесплатной альтернативы. Но недавно, один из друзей отресторил IPhone 3G. И к моему великому удивлению я не смог воткнуть честно купленную читалку. Выход, конечно нашелся (на темной стороне силы  :-X), но как-то не комильфо...
  Что я хочу предложить:
    Ведь еще можно, воспользовавшись старым SDK, добавить функционал по заливке книг на LE версию. Или выложить старую версию читалки как отдельное приложение (назвать from 3G). Пусть оно будет тоже платным или малофункциональным. Я понимаю, что Apple поступил не очень корректно, но поступать как они - просто кидать своих пользователей... считаю не правильным!
Название: Re: Важно: Поддержка старых устройств.
Отправлено: shortki от 25 Октябрь 2012, 15:11:30
Еcли судить практически, то для владельцев старых устройств содействие "тёмной силы" единственный способ полноценно пользоваться устройством и оправданный выбор. Создавать версии для старых устройств в Apple не разрешат, да это и не нужно, так как рано или поздно устройство будет "разлочено" либо от него откажутся. Я долго думал, что делать со старыми устройствами и решил, что практичный подход более верен, в данной ситуации "правильного" решения не существует, есть только компромиссы.
Название: Re: Важно: Поддержка старых устройств.
Отправлено: a_k от 25 Октябрь 2012, 22:31:15
Угу. Я вот тоже решил полностью перейти на темную сторону силы - на Андроид.
Название: Re: Важно: Поддержка старых устройств.
Отправлено: shortki от 25 Октябрь 2012, 22:36:55
Какая же это "тёмная сторона" :) Так Торговая Федерация. Несколько раз пытался привыкнуть к Дроиду, но раздражает лёгкое ощущение "неустроенности", всё как бы есть и всё не ладно :) Хотя лёгкий прогресс ощущается.
Название: Re: Важно: Поддержка старых устройств.
Отправлено: HiPanov от 26 Октябрь 2012, 00:29:06
Еcли судить практически, то для владельцев старых устройств содействие "тёмной силы" единственный способ полноценно пользоваться устройством и оправданный выбор. Создавать версии для старых устройств в Apple не разрешат, да это и не нужно, так как рано или поздно устройство будет "разлочено" либо от него откажутся. Я долго думал, что делать со старыми устройствами и решил, что практичный подход более верен, в данной ситуации "правильного" решения не существует, есть только компромиссы.
  Много боли ждет и разочарований на темной стороне силы юного падавана :( Не многие владельцы iPhone 3g вообще поймут о чем идет речь. Но когда приобретенный софт отказывается работать на вполне рабочем девайсе, даже у домохозяйки возникает подозрение что что-то идет не так, где-то наеобманули.
  Глупость, конечно, гротеск. Но если Вы считаете оправданным выбором использование темной стороны не логично ли будет на сайте или форуме разработчика разместить ссылку на хххххх.ipa, да еще и  инструкцию по переходу на темную сторону  ??? Так мол и так, дорогие пользователи. Если вы жлобы и нищеброды и нехотите корпорации добра заплатить за новый девайс, при еще живом старом - последуйте нащему совету.... Ведь это политика корпорации добра, а не наша, что честно купленное приложение и честно купленный девайс перестает работать через 3 года в любом случае.
  Я думаю что довольно большая Ваша аудитория пользуется устаревшими железками. Ведь бесплатная альтернатива, которой хотя бы не противно пользоваться, вышла только в 10 году.Соответственно очень много людей купило Выш софт как раз для 3G. Ради этих людей, может стоит в чем то пойти на компромисс. Есть же примеры: GoodReader когда надоело вести двуязычную версию оставил русскую и поместил в AppStore как новое приложение английскую. Яндекс карты то же не особо спешат отказываться от этой аудитории.
  Я очень прошу Вас еще раз подумать о версии для устаревших устройств или добавления функционала на LE. Ведь люди, которые сейчас имеют проблемы, все таки купили Ваш софт (у Ситхов как раз проблем нет).
  ЗЫ Извиняюсь за возможно резкие высказывания. Накипело.
Название: Re: Важно: Поддержка старых устройств.
Отправлено: shortki от 26 Октябрь 2012, 00:49:35
Мы все в этом вопросе зависим от Apple, их ответ очевиден: устройство устарело и не поддерживается. Я подумаю о возможных путях решения проблемы, но рабочих вариантов пока не вижу.

По договору я не имею права распространять ПО помимо AppStore, поэтому IPA и инструкцию выложить не могу, но это не значит, что я считаю это бесполезным :)

P.S. Прошу прощения за неудобства доставленные нам Apple.
Название: Re: Важно: Поддержка старых устройств.
Отправлено: a_k от 06 Ноябрь 2012, 20:53:51
Устройство, безусловно, устарело. Но я для себя в андроиде открыл то, что все приложения и функции ради которых я делал джейл на аппле на андроеде есть. Да, безусловно андроид мне сейчас напоминает нетбук с линуксом. Многие вещи страшноваты, кое-что не работает. Но если следовать и дальше этой аналогии, то аппле это смарттв - все красиво, но за тебя подумали что тебе нужно, и если то что нужно лично тебе не предусмотрено разработчиками - меняй устройство.
На андроиде есть на сегодняшний день все приложения, которые мне были нужны на аппле.
Нет, безусловно андроид - гадость. Как и эппл. просто немножко другого вида. Но выбор, к сожалению, только из этих двух альтернатив. И андроид на мой личный взгляд сейчас выглядит уже предпочтительней. Хотя бы одно то, что можно избавиться от тунца...
Название: Re: Важно: Поддержка старых устройств.
Отправлено: shortki от 06 Ноябрь 2012, 23:43:31
Apple делает заметный акцент на качестве устройства, системы и приложений, этим они и подкупают и из-за этого все их ограничения. (Говоря про качество я всё же не имел Тунца в виду :)

Обеспечить качество можно только самому выпуская железо и не поддерживатя слишком большой спектр моделей. iOs довольно стабильна, а если бы не постоянные обновления функционала, то была бы надёжна как майнфреймовая ОС, если это возможно для интерфейсной оболочки. Андроид же весь нескладный и не стремиться становиться лучше, дальше срабатывает принцип разбитых окон и мы имеем текущую ситуацию.

Сегодня мой телефон умеет больше, чем ПК лет семь назад и многое делает лучше, не говоря о том, что он и звонить умеет :) Так что iOS меня пока устраивает, попытки использования Дроида всегда приводили к раздражению от "колхозности" подхода, нет, это пока не моё :)
Название: Re: Важно: Поддержка старых устройств.
Отправлено: a_k от 09 Ноябрь 2012, 22:46:43
Акцент на качестве - соглашусь только в отношении маркетинга :-). Все железки по большому счету одинаковы и отличаются дизайном и материалами. Безусловно, аппле поработала над оптимизацией аппаратного дизайна с целью исключения узких мест, однако с их политикой это прежде всего вылилось в сокращении гибкости - отсутствие слотов для карты памяти, наносимы, несменяемый аккумулятор.
Про стабильность Иос я точно не могу согласиться. Мне мою старую ОС приходится перегружать еженедельно чтобы избавиться от накопленных ошибок памяти.
Андроид - он просто другой. Вся экосистема строилась с другой стороны. И да, он больше для гиков, чем для воинственно отрицающих необходимость элементарной компьютерной грамоты гламурных гуманитариев. Изначально, когда он появился это было как две крайности. Я раз в полгода крутил очередной андроидный девайс начиная с первых Hero. И каждый раз откладывал со словами "андр-оед - зло" И вот сейчас прогресс уже виден. Оно действительно догнало Иос по юзабельности.
 И та и та система меня сейчас устраивает процентов на 70. Так что они весьма далеки от идеала. И к дроиду у меня тоже куча претензий.
Про ПК и телефон я тоже категорически не согласен. про 15 лет я б еще наверное согласился. :-)
Название: Re: Важно: Поддержка старых устройств.
Отправлено: Volt от 25 Ноябрь 2012, 12:14:40
Iphone 3G прошивка 4.2.1, неджейлбрекнут, стоит shortbook 8.5.5, пока все работает.
Appstore предлагает обновить до 8.7.1
Обновлять еще можно или уже нельзя?  Кто пробовал?
Экспериментировать как-то не хочется.
Название: Re: Важно: Поддержка старых устройств.
Отправлено: shortki от 25 Ноябрь 2012, 15:09:20
Iphone 3G прошивка 4.2.1, неджейлбрекнут, стоит shortbook 8.5.5, пока все работает.
Appstore предлагает обновить до 8.7.1
Обновлять еще можно или уже нельзя?  Кто пробовал?
Экспериментировать как-то не хочется.

Нет, при таких условиях обновляться нельзя, не верьте iTunes.
Название: Re: Важно: Поддержка старых устройств.
Отправлено: e-vred от 25 Ноябрь 2012, 17:01:16
Да и смысла нет без поддержки облака прошивкой.
Название: Re: Важно: Поддержка старых устройств.
Отправлено: TDSilikat от 21 Июнь 2013, 09:17:56
а можно линк на темную сторону? в совсем обидно получилось, деньги заплатил, а на 3г закачать не могу.. а приложение это лучшее из лучших.. все что нужно там есть, и скорость работы норм..
Название: Re: Важно: Поддержка старых устройств.
Отправлено: shortki от 21 Июнь 2013, 14:32:22
Я не могу размещать такие ссылки, разве что кто другой, а я это не замечу некоторое время.
Название: Re: Важно: Поддержка старых устройств.
Отправлено: lefthander от 25 Октябрь 2013, 21:26:22
Ссылки не надо публиковать, но не верю что перед обновлением нельзя предупредить об отсутствии поддержки.
Надеюсь те деньги что я заплатил за программу, и не могу ею пользоваться не пойдут вам на пользу. Это чистой воды свинство с вашей стороны.
Название: Re: Важно: Поддержка старых устройств.
Отправлено: shortki от 25 Октябрь 2013, 22:23:41
Пройдёт новое обновление, удалите программу и поставьте заново — AppStore установит подходящую для устройства версию и сможете нормально пользоваться приложением. Просто подождите пару дней пока Apple проверит обновление.
Название: Re: Важно: Поддержка старых устройств.
Отправлено: lefthander от 28 Октябрь 2013, 09:08:12
Спасибо, обновление еще не прошло, а exlibris оказалась в некоторых вопросах даже лучше. Перешел на нее.